#!/bin/bash
#
# シェルのプログラム、シェルスクリプトはファイルに格納して後で実行する事ができます。
# 各行の「#」以降はコメントです。
# 一行目の「#!/bin/bash」はシバンと呼ばれる特殊な記法で、
# 現代の多くの Unix 系 OS が、一行目にこのように書かれたファイルを、
# /bin/bash が解釈するプログラム、つまり bash スクリプトだと解釈してくれます。
#
# このスクリプトはそのままでは終了しません。
# Ctrl キーと c キーを同時押しして終了させてください。
#

# 小鳥男のコマンドが使える様に設定
PATH=/home/pi/kotoriotoko/APPS:/home/pi/kotoriotoko/BIN:$PATH

id

# GPIO 17 番ポートの設定
## GPIO 17 番ピンを使用する事をカーネルに知らせる
echo 17  > /sys/class/gpio/export
## カーネルが GPIO 17 番ピンを制御出来るように準備してくれるのを待ちます。
sleep 1
## GPIO 17 番ピンを出力方向に設定
echo out > /sys/class/gpio/gpio17/direction

# Tweet を取得する毎に LED を点滅させる
gathertw.sh -c -p2 電車 |
grep '^- https:'        |
while read ; do
        echo 1 ; sleep 0.02 ; echo 0 ; sleep 0.02
done > /sys/class/gpio/gpio17/value

